uc = uc || {};
uc.input = uc.input || {};
uc.input.file = uc.input.file || {};

uc.input.file.build = function(selector) {
	var jq_field = jQuery(selector);
	var jq_input = jQuery('input[type=file]', jq_field);
	var jq_radio = jQuery('li.keep input, li.delete input', jq_field);
	if (jq_radio.length > 0) jq_input.attr('disabled', 'disabled');
	jQuery('li.replace input', jq_field).focus(function() {
		jq_input.removeAttr('disabled');
	})
	jq_radio.focus(function() {
		jq_input.attr('disabled', 'disabled');
	});
}

jQuery(document).ready(function() {
	uc.input.file.build('form .field-type-file');
});